Summary:        IRQ balancing daemon.
Name:           irqbalance
Version:        0.55 
Release: 	16%{?dist}
Epoch:		2	
Group:          System Environment/Base
License:        GPL/OSL
Source0:	http://www.irqbalance.org/releases/irqbalance-%{version}.tar.gz	
Source1:	irqbalance.init
Source2:	irqbalance.sysconfig
Source3:	irqbalance.1
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service

ExclusiveArch:	i386 x86_64 ia64 ppc ppc64
Obsoletes:	kernel-utils
BuildRequires:	glib2-devel pkgconfig imake
Requires:	glib2

Patch0: irqbalance-Makefile-pie.patch
Patch1: irqbalance-0.55-cpuparse.patch 
Patch2: irqbalance-0.55-banned-interrupts.patch
Patch3: irqbalance-banned.patch

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q -c -a 0
%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig

cd irqbalance-%{version}
make 

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}

cd irqbalance-%{version}
install irqbalance  %{buildroot}/usr/sbin
install %{SOURCE1} %{buildroot}/etc/rc.d/init.d/irqbalance
install %{SOURCE2} %{buildroot}/etc/sysconfig/irqbalance
install %{SOURCE3} %{buildroot}/usr/share/man/man1/

chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/sbin/irqbalance
/etc/rc.d/init.d/irqbalance
%attr(0644,root,root) %{_mandir}/*/*
%attr(0644,root,root) /etc/sysconfig/irqbalance

%preun
if [ "$1" = "0" ] ; then
 /sbin/chkconfig --del irqbalance
fi

%post
/sbin/chkconfig --add irqbalance

%triggerpostun -- kernel-utils
/sbin/chkconfig --add irqbalance
exit 0


%changelog
* Tue May 12 2015 Petr Holasek <pholasek@redhat.com> - 0.55-16
- Fix bug in honoring of IRQBALANCE_BANNED_INTERRUPTS (bz 1212965)

* Tue Apr 14 2009 Neil Horman <nhorman@redhat.com> - 0.55-15
- Fix another stupid typo in the script (bz 471574)

* Tue Apr 14 2009 Neil Horman <nhorman@redhat.com> - 0.55-14
- Fix mistake in irqbalance init script (bz 471574)

* Tue Jan 20 2009 Neil Horman <nhorman@redhat.com> - 0.55-13
- Fixed init script to exit properly (bz 471574)

* Tue Jan 20 2009 Neil Horman <nhorman@redhat.com> - 0.55-12
- Fixed a few bugs in BANNED_INTERRUPTS (bz 479459)
- updated irqbalance man page (bz 479586)

* Wed Jun 04 2008 Neil Horman <nhorman@redhat.com> - 0.55-11
- Fix man page to explain irqbalance exits (bz 442897)

* Mon Apr 09 2008 Neil Horman <nhorman@redhat.com> - 0.55.10
- Fixed a few typos and brought over LSB fixed (bz 242477)

* Mon Feb 18 2008 Neil Horman <nhorman@redhat.com> - 0.55.9
- Fixed initscript bug (bz 432977)

* Mon Dec 03 2007 Neil Horman <nhorman@redhat.com> - 0.55-8
- Bumping rev number for rebuild

* Mon Oct 22 2007 Neil Horman <nhorman@redhat.com> - 0.55-7
- Fixed cpu parsing bugs (bz 311341)
- Added docs/config for irqbalance env. vars. (bzs 339551 339571 339581)
   
* Mon Jun 25 2007 Neil Horman <nhorman@redhat.com> - 0.55-4
- Add -fPIE to build to enable execshield support

* Tue Apr 17 2007 Neil Horman <nhorman@redhat.com> - 0.55-3
- Migration point to RHEL5 (bz 219035)

* Tue Dec 12 2006 Neil Horman <nhorman@redhat.com> - 0.55-2
- Fixing typos in spec file (bz 219301)

* Tue Dec 12 2006 Neil Horman <nhorman@redhat.com> - 0.55-1
- Updating to version 0.55

* Mon Dec 11 2006 Neil Horman <nhorman@redhat.com> - 0.54-1
- Update irqbalance to new version released at www.irqbalance.org

* Wed Nov 15 2006 Neil Horman <nhorman@redhat.com> - 1.13-8
- Add ability to set default affinity mask (bz 211148)

* Wed Nov 08 2006 Neil Horman <nhorman@redhat.com> - 1.13-7
- fix up irqbalance to detect multicore (not ht) (bz 211183)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.13-6
- bumping up MAX_INTERRUPTS to support xen kernels
- rediffing patch1 and patch3 to remove fuzz

* Tue Oct 17 2006 Neil Horman <nhorman@redhat.com> - 1.13-5
- Making oneshot mean oneshot always (bz 211178)

* Wed Sep 13 2006 Peter Jones <pjones@redhat.com> - 1.13-4
- Fix subsystem locking

* Fri Aug 18 2006 Jesse Keating <jkeating@redhat.com> - 1.13-2
- rebuilt with latest binutils to pick up 64K -z commonpagesize on ppc*
  (#203001)
- Remove hack to use cvs checkin ID as release as it doesn't follow
  packaging guidelines

* Tue Aug 01 2006 Neil Horman <nhorman@redhat.com>
- Change license to GPL in version 0.13

* Sat Jul 29 2006 Dave Jones <davej@redhat.com>
- identify a bunch more classes.

* Fri Jul 14 2006 Jesse Keating <jkeating@redhat.com>
- rebuild

* Tue Jul 11 2006 Dave Jones <davej@redhat.com>
- Further lazy rebalancing tweaks.

* Sun Feb 26 2006 Dave Jones <davej@redhat.com>
- Don't rebalance IRQs where no interrupts have occured.

* Sun Feb 12 2006 Dave Jones <davej@redhat.com>
- Build for ppc[64] too.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild with gcc4

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Build as pie, also -D_FORTIFY_SOURCE=2

* Tue Jan 11 2005 Dave Jones <davej@redhat.com>
- Add missing Obsoletes: kernel-utils.

* Mon Jan 10 2005 Dave Jones <davej@redhat.com>
- Start irqbalance in runlevel 2 too. (#102064)

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based on kernel-utils.

